Fully featured low overhead profiler for Java EE and Java SE platforms.
Performance monitoring and profiling of Jenkins, TeamCity, Gradle, Maven, Ant, JUnit and TestNG.
Easy to use performance and memory profiler for .NET framework.

Yourkit 2018.4 and Java 11

Moderators: Vladimir Kondratyev, Anton Katilin

Yourkit 2018.4 and Java 11

Postby sdcinvan » Mon Mar 30, 2020 3:16 pm

For a few reasons, we must use Yourkit 2018.4 profiler with Java 11.

I have received reports that it is compatible and it is not compatible with Java 11.

Can someone please tell me if it will work, and if so, is there anything that needs to be configured or patched to make it compatible with Java 11.

Thank you.
sdcinvan
 
Posts: 1
Joined: Mon Mar 30, 2020 3:07 pm

Re: Yourkit 2018.4 and Java 11

Postby Anton Katilin » Mon Mar 30, 2020 8:47 pm

Java 11 support was introduced in version 2019.1:
https://www.yourkit.com/changes/yjp_2019_1.jsp

Java 11 is not supported in v2018.4.

Please use the latest profiler version instead.
Anton Katilin
 
Posts: 5923
Joined: Wed Aug 11, 2004 8:37 am


Return to Java Profiler

Who is online

Users browsing this forum: No registered users and 1 guest

YourKit uses cookies and other tracking technologies to improve your browsing experience on our website, to show you personalized content and targeted ads, to analyze our website traffic, and to understand where our visitors are coming from.

By browsing our website, you consent to our use of cookies and other tracking technologies in accordance with the Privacy Policy.